IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fc77::/16- First address
fc77::- Last address
fc77:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fc77:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
7.7.c.f.ip6.arpa
Split into smaller subnets
fc77::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc77::/28 | fc77:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc77:10::/28 | fc77:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc77:20::/28 | fc77:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc77:30::/28 | fc77:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc77:40::/28 | fc77:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc77:50::/28 | fc77:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc77:60::/28 | fc77:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc77:70::/28 | fc77:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc77:80::/28 | fc77:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc77:90::/28 | fc77:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc77:a0::/28 | fc77:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc77:b0::/28 | fc77:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc77:c0::/28 | fc77:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc77:d0::/28 | fc77:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc77:e0::/28 | fc77:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc77:f0::/28 | fc77:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc77:100::/28 | fc77:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc77:110::/28 | fc77:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc77:120::/28 | fc77:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc77:130::/28 | fc77:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc77:140::/28 | fc77:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc77:150::/28 | fc77:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc77:160::/28 | fc77:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc77:170::/28 | fc77:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc77:180::/28 | fc77:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc77:190::/28 | fc77:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc77:1a0::/28 | fc77:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc77:1b0::/28 | fc77:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc77:1c0::/28 | fc77:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc77:1d0::/28 | fc77:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc77:1e0::/28 | fc77:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc77:1f0::/28 | fc77:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc77:200::/28 | fc77:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc77:210::/28 | fc77:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc77:220::/28 | fc77:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc77:230::/28 | fc77:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc77:240::/28 | fc77:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc77:250::/28 | fc77:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc77:260::/28 | fc77:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc77:270::/28 | fc77:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc77:280::/28 | fc77:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc77:290::/28 | fc77:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc77:2a0::/28 | fc77:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc77:2b0::/28 | fc77:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc77:2c0::/28 | fc77:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc77:2d0::/28 | fc77:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc77:2e0::/28 | fc77:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc77:2f0::/28 | fc77:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc77:300::/28 | fc77:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc77:310::/28 | fc77:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc77:320::/28 | fc77:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc77:330::/28 | fc77:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc77:340::/28 | fc77:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc77:350::/28 | fc77:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc77:360::/28 | fc77:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc77:370::/28 | fc77:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc77:380::/28 | fc77:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc77:390::/28 | fc77:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc77:3a0::/28 | fc77:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc77:3b0::/28 | fc77:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc77:3c0::/28 | fc77:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc77:3d0::/28 | fc77:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc77:3e0::/28 | fc77:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc77:3f0::/28 | fc77:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc77:400::/28 | fc77:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc77:410::/28 | fc77:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc77:420::/28 | fc77:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc77:430::/28 | fc77:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc77:440::/28 | fc77:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc77:450::/28 | fc77:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc77:460::/28 | fc77:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc77:470::/28 | fc77:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc77:480::/28 | fc77:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc77:490::/28 | fc77:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc77:4a0::/28 | fc77:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc77:4b0::/28 | fc77:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc77:4c0::/28 | fc77:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc77:4d0::/28 | fc77:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc77:4e0::/28 | fc77:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc77:4f0::/28 | fc77:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc77:500::/28 | fc77:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc77:510::/28 | fc77:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc77:520::/28 | fc77:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc77:530::/28 | fc77:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc77:540::/28 | fc77:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc77:550::/28 | fc77:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc77:560::/28 | fc77:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc77:570::/28 | fc77:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc77:580::/28 | fc77:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc77:590::/28 | fc77:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc77:5a0::/28 | fc77:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc77:5b0::/28 | fc77:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc77:5c0::/28 | fc77:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc77:5d0::/28 | fc77:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc77:5e0::/28 | fc77:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc77:5f0::/28 | fc77:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc77:600::/28 | fc77:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc77:610::/28 | fc77:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc77:620::/28 | fc77:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc77:630::/28 | fc77:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc77:640::/28 | fc77:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc77:650::/28 | fc77:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc77:660::/28 | fc77:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc77:670::/28 | fc77:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc77:680::/28 | fc77:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc77:690::/28 | fc77:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc77:6a0::/28 | fc77:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc77:6b0::/28 | fc77:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc77:6c0::/28 | fc77:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc77:6d0::/28 | fc77:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc77:6e0::/28 | fc77:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc77:6f0::/28 | fc77:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc77:700::/28 | fc77:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc77:710::/28 | fc77:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc77:720::/28 | fc77:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc77:730::/28 | fc77:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc77:740::/28 | fc77:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc77:750::/28 | fc77:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc77:760::/28 | fc77:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc77:770::/28 | fc77:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc77:780::/28 | fc77:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc77:790::/28 | fc77:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc77:7a0::/28 | fc77:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc77:7b0::/28 | fc77:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc77:7c0::/28 | fc77:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc77:7d0::/28 | fc77:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc77:7e0::/28 | fc77:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc77:7f0::/28 | fc77:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc77:800::/28 | fc77:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc77:810::/28 | fc77:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc77:820::/28 | fc77:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc77:830::/28 | fc77:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc77:840::/28 | fc77:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc77:850::/28 | fc77:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc77:860::/28 | fc77:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc77:870::/28 | fc77:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc77:880::/28 | fc77:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc77:890::/28 | fc77:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc77:8a0::/28 | fc77:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc77:8b0::/28 | fc77:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc77:8c0::/28 | fc77:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc77:8d0::/28 | fc77:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc77:8e0::/28 | fc77:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc77:8f0::/28 | fc77:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc77:900::/28 | fc77:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc77:910::/28 | fc77:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc77:920::/28 | fc77:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc77:930::/28 | fc77:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc77:940::/28 | fc77:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc77:950::/28 | fc77:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc77:960::/28 | fc77:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc77:970::/28 | fc77:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc77:980::/28 | fc77:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc77:990::/28 | fc77:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc77:9a0::/28 | fc77:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc77:9b0::/28 | fc77:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc77:9c0::/28 | fc77:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc77:9d0::/28 | fc77:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc77:9e0::/28 | fc77:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc77:9f0::/28 | fc77:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc77:a00::/28 | fc77:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc77:a10::/28 | fc77:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc77:a20::/28 | fc77:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc77:a30::/28 | fc77:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc77:a40::/28 | fc77:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc77:a50::/28 | fc77:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc77:a60::/28 | fc77:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc77:a70::/28 | fc77:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc77:a80::/28 | fc77:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc77:a90::/28 | fc77:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc77:aa0::/28 | fc77:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc77:ab0::/28 | fc77:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc77:ac0::/28 | fc77:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc77:ad0::/28 | fc77:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc77:ae0::/28 | fc77:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc77:af0::/28 | fc77:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc77:b00::/28 | fc77:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc77:b10::/28 | fc77:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc77:b20::/28 | fc77:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc77:b30::/28 | fc77:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc77:b40::/28 | fc77:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc77:b50::/28 | fc77:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc77:b60::/28 | fc77:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc77:b70::/28 | fc77:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc77:b80::/28 | fc77:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc77:b90::/28 | fc77:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc77:ba0::/28 | fc77:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc77:bb0::/28 | fc77:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc77:bc0::/28 | fc77:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc77:bd0::/28 | fc77:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc77:be0::/28 | fc77:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc77:bf0::/28 | fc77:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc77:c00::/28 | fc77:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc77:c10::/28 | fc77:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc77:c20::/28 | fc77:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc77:c30::/28 | fc77:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc77:c40::/28 | fc77:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc77:c50::/28 | fc77:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc77:c60::/28 | fc77:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc77:c70::/28 | fc77:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc77:c80::/28 | fc77:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc77:c90::/28 | fc77:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc77:ca0::/28 | fc77:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc77:cb0::/28 | fc77:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc77:cc0::/28 | fc77:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc77:cd0::/28 | fc77:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc77:ce0::/28 | fc77:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc77:cf0::/28 | fc77:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc77:d00::/28 | fc77:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc77:d10::/28 | fc77:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc77:d20::/28 | fc77:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc77:d30::/28 | fc77:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc77:d40::/28 | fc77:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc77:d50::/28 | fc77:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc77:d60::/28 | fc77:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc77:d70::/28 | fc77:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc77:d80::/28 | fc77:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc77:d90::/28 | fc77:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc77:da0::/28 | fc77:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc77:db0::/28 | fc77:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc77:dc0::/28 | fc77:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc77:dd0::/28 | fc77:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc77:de0::/28 | fc77:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc77:df0::/28 | fc77:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc77:e00::/28 | fc77:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc77:e10::/28 | fc77:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc77:e20::/28 | fc77:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc77:e30::/28 | fc77:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc77:e40::/28 | fc77:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc77:e50::/28 | fc77:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc77:e60::/28 | fc77:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc77:e70::/28 | fc77:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc77:e80::/28 | fc77:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc77:e90::/28 | fc77:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc77:ea0::/28 | fc77:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc77:eb0::/28 | fc77:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc77:ec0::/28 | fc77:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc77:ed0::/28 | fc77:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc77:ee0::/28 | fc77:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc77:ef0::/28 | fc77:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc77:f00::/28 | fc77:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc77:f10::/28 | fc77:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc77:f20::/28 | fc77:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc77:f30::/28 | fc77:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc77:f40::/28 | fc77:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc77:f50::/28 | fc77:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc77:f60::/28 | fc77:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc77:f70::/28 | fc77:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc77:f80::/28 | fc77:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc77:f90::/28 | fc77:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc77:fa0::/28 | fc77:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc77:fb0::/28 | fc77:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc77:fc0::/28 | fc77:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc77:fd0::/28 | fc77:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc77:fe0::/28 | fc77:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc77:ff0::/28 | fc77:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |